Loading...
Searching...
No Matches
Crestron.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2021 Raritan Inc. All rights reserved.
*/
/**
* Device Settings
*/
module devsettings {
/** Crestron settings interface */
interface Crestron {
/** Crestron settings */
structure Settings {
boolean enableXioCloudConnection; ///< Enable connection to crestron XiO cloud
};
/**
* Retrieve the Crestron settings.
*
* @return Crestron settings
*/
Settings getSettings();
/**
* Set the Crestron settings.
*
* @param settings New Crestron settings
*/
void setSettings(in Settings settings);
};
}
devsettings::Crestron
Crestron settings interface.
Definition Crestron.idl:11
devsettings::Crestron::setSettings
void setSettings(in Settings settings)
Set the Crestron settings.
devsettings::Crestron::getSettings
Settings getSettings()
Retrieve the Crestron settings.
devsettings
Device Settings.
Definition Crestron.idl:9
devsettings::Crestron::Settings
Crestron settings.
Definition Crestron.idl:14
devsettings::Crestron::Settings::enableXioCloudConnection
boolean enableXioCloudConnection
Enable connection to crestron XiO cloud.
Definition Crestron.idl:15